org.keycloak.broker.provider

## Interface IdentityProvider.AuthenticationCallback

- All Known Implementing Classes:
    IdentityBrokerService
  Enclosing interface:
    IdentityProvider<C extends IdentityProviderModel>

      public static interface IdentityProvider.AuthenticationCallback

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticated(BrokeredIdentityContext context)` This method should be called by provider after the JAXRS callback endpoint has finished authentication with the remote IDP.
    `javax.ws.rs.core.Response` | `cancelled()` Called when user cancelled authentication on the IDP side - for example user didn't approve consent page on the IDP side.
    `javax.ws.rs.core.Response` | `error(String message)` Called when error happened on the IDP side.
    `AuthenticationSessionModel` | `getAndVerifyAuthenticationSession(String encodedCode)` Common method to return current authenticationSession and verify if it is not expired

- - ### Method Detail

    - #### getAndVerifyAuthenticationSession

          AuthenticationSessionModel getAndVerifyAuthenticationSession(String encodedCode)

      Common method to return current authenticationSession and verify if it is not expired
      Parameters:
        `encodedCode` -
      Returns:
        see description

    - #### authenticated

          javax.ws.rs.core.Response authenticated(BrokeredIdentityContext context)

      This method should be called by provider after the JAXRS callback endpoint has finished authentication with the remote IDP. There is an assumption that authenticationSession is set in the context when this method is called
      Parameters:
        `context` -
      Returns:
        see description

    - #### cancelled

          javax.ws.rs.core.Response cancelled()

      Called when user cancelled authentication on the IDP side - for example user didn't approve consent page on the IDP side. Assumption is that authenticationSession is set in the `KeycloakContext` when this method is called
      Returns:
        see description

    - #### error

          javax.ws.rs.core.Response error(String message)

      Called when error happened on the IDP side. Assumption is that authenticationSession is set in the `KeycloakContext` when this method is called
      Returns:
        see description

Copyright © 2021 JBoss by Red Hat. All rights reserved.